export declare type IconStyle = 'regular' | 'solid';
declare type IconDefinition = {
  name: string;
  fileName: string;
  styles: {
    [K in IconSize]: IconStyle;
  };
  description: string;
  aliases: Array<string>;
};
export interface IconMap {
  icons: Array<IconDefinition>;
}
export declare const ICON_SIZES: readonly ["s", "m", "l"];
export declare type IconSize = typeof ICON_SIZES[number];
declare const iconNames: Array<string>;
export declare type IconName = typeof iconNames[number];
export {};
